%define anolis_release 4

%global cpan_version 0.4232

Name:           perl-Module-Build
Epoch:          2
Version:        0.42.32
Release:        %{anolis_release}%{?dist}
Summary:        Build and install Perl modules
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Module-Build
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/Module-Build-%{cpan_version}.tar.gz
Patch0001:      0001-Module-Build-0.4224-Do-not-need-a-compiler-if-c_source-is-an-empty-list.patch
Patch0002:      0002-Module-Build-0.4231-Do-not-die-on-missing-ExtUtils-CBuilder-in-have_c_co.patch

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  perl-interpreter perl-devel perl-generators
BuildRequires:  perl(Archive::Tar) perl(AutoSplit) perl(base) perl(blib) perl(Carp) perl(Config)
BuildRequires:  perl(Cwd) perl(Data::Dumper) perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27 perl(ExtUtils::Install) >= 0.3 perl(ExtUtils::Installed)
BuildRequires:  perl(File::Basename) perl(File::Compare) perl(File::Copy) perl(File::Find)
BuildRequires:  perl(File::Temp) >= 0.15 perl(File::Path) perl(File::Spec::Functions) perl(File::Spec) >= 0.82
BuildRequires:  perl(Getopt::Long) perl(inc::latest) perl(lib) perl(strict)
BuildRequires:  perl(Module::Metadata) >= 1.000002 perl(Parse::CPAN::Meta) >= 1.4401 perl(Perl::OSType) >= 1
BuildRequires:  perl(ExtUtils::Manifest) >= 1.54 perl(ExtUtils::Mkbootstrap) perl(ExtUtils::Packlist) perl(ExtUtils::ParseXS) >= 2.21
BuildRequires:  perl(CPAN::Meta) >= 2.142060 perl(CPAN::Meta::Converter) >= 2.141170 perl(CPAN::Meta::Merge) perl(CPAN::Meta::YAML) >= 0.003
# Optional tests:
BuildRequires:  perl(TAP::Harness) perl(TAP::Harness::Env)
BuildRequires:  perl(Test::Harness) >= 3.29 perl(Test::More) >= 0.49
BuildRequires:  perl(Text::ParseWords) perl(utf8) perl(vars) perl(version) >= 0.87 perl(warnings)

Requires:       perl(CPAN::Meta) >= 2.142060 perl(CPAN::Meta::Converter) >= 2.141170 perl(CPAN::Meta::Merge)
Requires:       perl(ExtUtils::Install) >= 0.3 perl(ExtUtils::Manifest) >= 1.54
Requires:       perl(ExtUtils::Mkbootstrap) perl(ExtUtils::ParseXS) >= 2.21
Requires:       perl(Pod::Html) perl(Pod::Man) >= 2.17 perl(Pod::Text)
Requires:       perl(inc::latest) perl(Module::Metadata) >= 1.000002 perl(Perl::OSType) >= 1 perl(TAP::Harness::Env) perl(Test::Harness)
%if !%{defined perl_bootstrap}
Requires:       perl(Software::License)
%endif

Recommends:     perl(ExtUtils::CBuilder) >= 0.27

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((ExtUtils::Install|File::Spec|Module::Build|Module::Metadata|Perl::OSType)\\)$
%global __requires_exclude %__requires_exclude|^perl\\(CPAN::Meta::YAML\\) >= 0.002$

%description
Module::Build is a system for building, testing, and installing Perl modules. It is meant 
to be an alternative to ExtUtils::MakeMaker. Developers may alter the behavior of the module 
through subclassing. It also does not require a make on your system - most of the Module::Build 
code is pure-perl and written in a very cross-platform way.

See "COMPARISON" for more comparisons between 'Module::Build' and other
installer tools.

To install 'Module::Build', and any other module that uses 'Module::Build'
for its installation process, do the following:

  perl Build.PL       # 'Build.PL' script creates the 'Build' script
  ./Build             # Need ./ to ensure we're using this "Build" script
  ./Build test        # and not another one that happens to be in the PATH
  ./Build install

This illustrates initial configuration and the running of three 'actions'.
In this case the actions run are 'build' (the default action), 'test', and
'install'.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Module-Build-%{cpan_version} -p1

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
rm t/signature.t
LANG=C TEST_SIGNATURE=1 MB_TEST_EXPERIMENTAL=1 ./Build test

%files
%license LICENSE
%{_bindir}/config_data
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%doc README contrib Changes INSTALL

%changelog
* Tue Apr 11 2023 yuanhui <yuanhui@linux.alibaba.com> - 2:0.42.32-4
- Optimize the spec file

* Thu Mar 23 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:0.42.32-3
- Bump version to rebuild

* Tue Feb 14 2023 Funda Wang <fundawang@yeah.net> - 2:0.42.32-2
- Add patches to fix cbuilder

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:0.42.32-1
- remove versioned MODULE_COMPAT_ requires
- update to version 0.42.32

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:0.42.31-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:0.42.31-1
- Init from upstream version 0.42.31
